<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8" />
    <title>Item Catalog</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" type="text/css" media="screen" href="/static/main.css" />
    <!-- <script src="main.js"></script> -->
</head>

<body>
    <header>
        <div id="header-title">
            <a href="{{homepage_url}}">Catalog App</a>
        </div>
        {% if not logged_in %}
        <div class="button-wrapper">
            <a href="{{login_url}}">
                <input type="button" value="Login" />
            </a>
        </div>
        {% else %}
        <div class="button-wrapper">
            <a href="{{logout_url}}">
                <input type="button" value="Logout" />
            </a>
        </div>
        {% endif %}
    </header>
    <div class="menu">
        <div class="row">
            <div class="column">
                <h2>Categories</h2>
                {% for cat in categories: %}
                <a href="{{cat['url']}}">{{cat['name']}}</a><br>
                {% endfor %}
            </div>
            <div class="column">
                <h2>Latest Items</h2>
                {% for item in latest_items: %}
                <a href="{{item['url']}}">{{item['name']}}</a>&nbsp;&nbsp;<span class="category">({{item['category']}})</span><br>
                {% endfor %}
                <br>
                {% if logged_in %}
                <div class="admin-action">
                    <a href="{{additem_url}}">Add Item</a>
                </div>
                {% endif %}
            </div>
        </div>
        <br>
        <div class='flash'>
            {% with messages = get_flashed_messages() %}
            {% if messages %}

            {% for message in messages %}
            <h4>{{ message }}</h4>
            {% endfor %}
            {% endif %}
            {% endwith %}

        </div>
    </div>
    <footer>
        {% if logged_in %}
        <img class="avatar" src="{{user['picture']}}">
        <p>You are logged in as {{user['name']}}</p>
        {% endif %}
    </footer>
</body>

</html>